## ros-melodic-depth-image-proc 1.15.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(depth_image_proc)

find_package(catkin REQUIRED cmake_modules cv_bridge eigen_conversions image_geometry image_transport message_filters nodelet sensor_msgs stereo_msgs tf2 tf2_ros)

if(cv_bridge_VERSION VERSION_GREATER "1.12.0")
  add_compile_options(-std=c++11)
endif()

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME})

find_package(Boost REQUIRED)
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()
find_package(OpenCV REQUIRED)
include_directories(include ${BOOST_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/nodelets/convert_metric.cpp
                             src/nodelets/crop_foremost.cpp
                             src/nodelets/disparity.cpp
                             src/nodelets/point_cloud_xyz.cpp
                             src/nodelets/point_cloud_xyzrgb.cpp
                             src/nodelets/point_cloud_xyzi.cpp
                             src/nodelets/point_cloud_xyz_radial.cpp
                             src/nodelets/point_cloud_xyzi_radial.cpp
                             src/nodelets/register.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h")

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-depth-image-proc (1.15.0-1stretch) stretch; urgency=high

  * updated install locations for better portability. (#500 <https://github.com/ros-perception/image_pipeline/issues/500>)
  * Contributors: Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-depth-image-proc (1.14.0-1stretch) stretch; urgency=high

  * Merge pull request #478 <https://github.com/ros-perception/image_pipeline/issues/478> from ros-perception/steve_main
    added option to fill the sparse areas with neareast neighbor depth va…
  * Merge pull request #336 <https://github.com/ros-perception/image_pipeline/issues/336> from madsherlock/indigo
    depth_image_proc/point_cloud_xyzi_radial Add intensity conversion (copy) for float
  * depth_image_proc: fix support for mono16 intensity encoding in point_cloud_xyzi node (#352 <https://github.com/ros-perception/image_pipeline/issues/352>)
  * added option to fill the sparse areas with neareast neighbor depth values on upsampling operations in depth_image_proc/register
  * point_cloud_xyzi Add intensity conversion for float
  * Add intensity conversion (copy) for float
    This commit enables the generation of xyzi point clouds from 32-bit floating point intensity images.
    The destination data type for intensity storage is 32-bit float, so all that is required is a data copy.
    The change in this commit is simply an extension of the if-else statement to include the TYPE_32FC1 type and apply the usual convert_intensity() method.
  * Contributors: Mikael Westermann, Richard Bormann, Steven Macenski, Stewart Jamieson, Tim Übelhör

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-depth-image-proc (1.13.0-1stretch) stretch; urgency=high

  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding autonomoustuff mainainer
  * adding stevemacenski as maintainer to get emails
  * Contributors: Joshua Whitley, Yoshito Okada, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.23-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.22-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-melodic-depth-image-proc (1.12.21-1stretch) stretch; urgency=high

  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.20-1stretch) stretch; urgency=high

  * Fix CMake warnings about Eigen.
  * Convert depth image metric from [m] to [mm]
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Kentaro Wada, Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.19-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.18-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.17-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.16-1stretch) stretch; urgency=high

  * check number of channels before the process
  * search minimum value with OpenCV
  * Use OpenCV to be faster
  * Add a feature for a depth image to crop foremost image
  * Contributors: Kenta Yonekura

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.15-1stretch) stretch; urgency=high

  * Add option for exact time sync for point_cloud_xyzrgb
  * simplify OpenCV3 conversion
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-melodic-depth-image-proc (1.12.14-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.13-1stretch) stretch; urgency=high

  * Add radial point cloud processors
  * Contributors: Hunter Laux

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.12-1stretch) stretch; urgency=high

  * adds range_max
  * exports depth_conversions
    with convert for xyz PC only
  * exports DepthTraits
  * Contributors: enriquefernandez

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Dec 2014 06:00:00 -0000

ros-melodic-depth-image-proc (1.12.11-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Oct 2014 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.10-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 28 Sep 2014 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.9-1stretch) stretch; urgency=high

  * get code to compile with OpenCV3
    fixes #96 <https://github.com/ros-perception/image_pipeline/issues/96>
  * Contributors: Vincent Rabaud



=== debian/control ===
Source: ros-melodic-depth-image-proc
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-cv-bridge, ros-melodic-eigen-conversions, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-stereo-msgs, ros-melodic-tf2, ros-melodic-tf2-ros
Homepage: http://ros.org/wiki/depth_image_proc
Standards-Version: 3.9.2

Package: ros-melodic-depth-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-cv-bridge, ros-melodic-eigen-conversions, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-nodelet, ros-melodic-tf2, ros-melodic-tf2-ros
Description: Contains nodelets for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well as registering (reprojecting) a depth image into another camera frame.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-depth-image-proc//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-depth-image-proc 1.15.2

=== debian/changelog ===
ros-melodic-depth-image-proc (1.15.2-1bionic) bionic; urgency=high

  * Include vector
  * support rgba8 and bgra8 encodings by skipping alpha channel

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 13 Jul 2022 05:00:00 -0000

ros-melodic-depth-image-proc (1.15.1-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Dec 2020 06:00:00 -0000

ros-melodic-depth-image-proc (1.15.0-1bionic) bionic; urgency=high

  * updated install locations for better portability. (#500 <https://github.com/ros-perception/image_pipeline/issues/500>)
  * Contributors: Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-depth-image-proc (1.14.0-1bionic) bionic; urgency=high

  * Merge pull request #478 <https://github.com/ros-perception/image_pipeline/issues/478> from ros-perception/steve_main
    added option to fill the sparse areas with neareast neighbor depth va…
  * Merge pull request #336 <https://github.com/ros-perception/image_pipeline/issues/336> from madsherlock/indigo
    depth_image_proc/point_cloud_xyzi_radial Add intensity conversion (copy) for float
  * depth_image_proc: fix support for mono16 intensity encoding in point_cloud_xyzi node (#352 <https://github.com/ros-perception/image_pipeline/issues/352>)
  * added option to fill the sparse areas with neareast neighbor depth values on upsampling operations in depth_image_proc/register
  * point_cloud_xyzi Add intensity conversion for float
  * Add intensity conversion (copy) for float
    This commit enables the generation of xyzi point clouds from 32-bit floating point intensity images.
    The destination data type for intensity storage is 32-bit float, so all that is required is a data copy.
    The change in this commit is simply an extension of the if-else statement to include the TYPE_32FC1 type and apply the usual convert_intensity() method.
  * Contributors: Mikael Westermann, Richard Bormann, Steven Macenski, Stewart Jamieson, Tim Übelhör

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-depth-image-proc (1.13.0-1bionic) bionic; urgency=high

  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding autonomoustuff mainainer
  * adding stevemacenski as maintainer to get emails
  * Contributors: Joshua Whitley, Yoshito Okada, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.23-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.22-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-melodic-depth-image-proc (1.12.21-1bionic) bionic; urgency=high

  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.20-1bionic) bionic; urgency=high

  * Fix CMake warnings about Eigen.
  * Convert depth image metric from [m] to [mm]
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Kentaro Wada, Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.19-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.18-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.17-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.16-1bionic) bionic; urgency=high

  * check number of channels before the process
  * search minimum value with OpenCV
  * Use OpenCV to be faster
  * Add a feature for a depth image to crop foremost image
  * Contributors: Kenta Yonekura

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.15-1bionic) bionic; urgency=high

  * Add option for exact time sync for point_cloud_xyzrgb
  * simplify OpenCV3 conversion
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-melodic-depth-image-proc (1.12.14-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.13-1bionic) bionic; urgency=high

  * Add radial point cloud processors
  * Contributors: Hunter Laux

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.12-1bionic) bionic; urgency=high

  * adds range_max
  * exports depth_conversions
    with convert for xyz PC only
  * exports DepthTraits
  * Contributors: enriquefernandez

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Dec 2014 06:00:00 -0000

ros-melodic-depth-image-proc (1.12.11-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Oct 2014 05:00:00 -0000

ros-melodic-depth-image-proc (1.12.10-1bionic) bionic; urgency=high





=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-cv-bridge, ros-melodic-eigen-conversions, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-stereo-msgs, ros-melodic-tf2, ros-melodic-tf2-ros
+Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-cv-bridge, ros-melodic-eigen-conversions, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-rostest <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-stereo-msgs, ros-melodic-tf2, ros-melodic-tf2-ros
 Homepage: http://ros.org/wiki/depth_image_proc
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
